#
# spec file for package lxqt-session
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lxqt-session
Version:        0.11.0
Release:        1.1
Summary:        LXQt Session Manager
License:        LGPL-2.1+
Group:          System/GUI/LXQt
Url:            http://www.lxqt.org
Source0:        http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Source1:        http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz.asc
Source2:        %{name}.keyring
BuildRequires:  cmake >= 3.0.2
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Xdg)
BuildRequires:  pkgconfig(lxqt) >= %{version} 
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  xdg-user-dirs
Recommends:     %{name}-lang
Requires(pre):	desktop-file-utils
Requires(post):	desktop-file-utils
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
lxqt-session is the standard session manager used by LXQt. The lxqt-session manager
is used to automatically start a set of applications and set up a working desktop
environment. Moreover, the session manager is able to remember the applications in
use when a user logs out and to restart them the next time the user logs in.

%prep
%setup -q
# Changing LXQt into X-LXQt in desktop files to be freedesktop compliant and shut rpmlint warnings
#find -name '*desktop.in*' -exec sed -ri 's/(LXQt;)/X-\1/' {} +

%build
%cmake -DPULL_TRANSLATIONS=No
make %{?_smp_mflags}

%install
%cmake_install
%fdupes -s %{buildroot}/%{_datadir}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE
%{_bindir}/lxqt-config-session
%{_bindir}/lxqt-session
%{_bindir}/lxqt-leave
%{_datadir}/applications/*.desktop
%{_mandir}/man?/lxqt-*.*

%changelog
* Sat Sep 24 2016 mvetter@suse.com
- Update to 0.11.0:
  * lockscreenmanager: always listen to the session provider's lock signal (#79)
  * Update Polish translation
  * Add README.md
  * lxqt-config-session: Warn about restart required when removing env variable
  * Add Catalan translations
  * lockscreenmanager: use categorized logger
  * Make screen locking before power actions optional
  * Add and Update Arabic Translations for Desktop Files
  * lxqt-session: Replace qCInfo() by qCWarning()
  * Adds an WITH_LIBUDEV CMake option (#74)
  * lockscreenmanager: add more log messages
  * Add logic to lock screen before system sleeps
  * lxqt-session: Use QLoggingCategory for logging/debug
  * lxqt-session: Use the base name to compare Wm's names
  * build: Use external translations
  * ts-files removal (#72)
  * Use const references with the foreach iterator
  * leave: ask or not for confirmation from main dialog
  * Adjust config dialog's size on startup
  * Make it compile using QT_USE_QSTRINGBUILDER
  * Fix lxqt-leave tab order
  * lxqt-session doesn't copy openbox defaults at session start. startlxqt from lxqt-common will copy it.
  * fixup...centering & spacing
  * leave: do not set maximum size as minimum size
  * Use XdgDir to find default path.
  * Openbox default settings removed.
  * Load LXQt default settings for Openbox.
  * UserLocations: An user entered empty string represents the default value
  * lxqt-config-session: Adds tooltips to the User Directories edits
  * lxqt-config-session: Replaces Locations by User Directories
  * Bump year Fix used licenses. lxqt-session is LGPL only
  * Re-arrange the buttons
  * lxqt-leave: Reworks window flags
  * lxqt-leave: Make all buttons of equal width
  * lxqt-leave: Center the dialog relative to the screen
  * lxqt-leave: Removes window border and makes it stay on top
  * lxqt-leave: Make the icons bigger and improves button alignement
  * Updated german translation.
  * Fix realloc() usage Check malloc() call result against NULL
  * Add HR translations
  * lxqt-session: Update man pages and make session the overview
  * Update italian translation
  * Updated Russian translations Removed ru_RU files
  * Makes the dependency on xdg-user-dirs-update explicit
  * Fix ending session and stopping modules
  * upd: lxqt-config-session_hu.ts del: lxt-config-session_hu_HU.ts
  * Fix desktop file
  * Make desktop files valid
  * CMakeLists.txt: Add cmake minimum required version
- Add keyring
- Remove 0001-Make-desktop-files-valid.patch: upstreamed
- Remove 0002-Fix-desktop-file.patch: upstreamed
* Fri Nov  6 2015 mvetter@suse.com
- Upstream release 0.10.0
- Adding patches to make desktop files valid:
  * 0001-Make-desktop-files-valid.patch
  * 0002-Fix-desktop-file.patch
- Removing patches:
  * fix_desktop_categories.patch - Using sed in spec file now.
* Fri Feb 20 2015 sfalken@opensuse.org
- Changed %%build and %%install to used cmake macros
* Mon Feb  9 2015 sfalken@opensuse.org
- New upstream version 0.9.0
- Added -lang subpackage
- Added Patch
  + fix_desktop_categories.patch - fixes category definitions to
  comply with openSUSE policy
* Mon Jan 26 2015 sfalken@opensuse.org
- Added conditionals to enable Fedora builds
* Sat Oct 25 2014 andrea@opensuse.org
- new upstream version 0.8.0
* Tue May 13 2014 sfalken@opensuse.org
- Specfile Cleanup
* Mon May 12 2014 sfalken@opensuse.org
-  Removed fedora specfile, split into subproject
  Del: lxqt-session-Fedora_20.spec
* Sat May 10 2014 sfalken@opensuse.org
- Ran spec-cleaner on openSUSE specfile
* Fri May  9 2014 sfalken@opensuse.org
- Added specfile for Fedora_20
  Add:  lxqt-session-Fedora_20.spec
* Fri May  9 2014 sfalken@opensuse.org
- Added tarball for new stable release
  Add:  lxqt-session-0.7.0.tar.xz
  Del:  _service
* Thu Apr  3 2014 sfalken@opensuse.org
- Initial Source Upload
  Add: _service
  Add: lxqt-session.spec
  Add: lxqt-session.changes
